project-asp-mvc/Controllers/HeaderController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace project_asp_mvc.Controllers
{
    public class HeaderController : BaseController
    {
        project_asp_mvc.ProjectWebMVCTeam2Entities dbEntities = new ProjectWebMVCTeam2Entities();
        public HeaderController() :base()
        {

        }
        // GET: Header
        public ActionResult Index()
        {  
            return View("_Header");
        }
    }
}

project-asp-mvc/Controllers/ProductController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace project_asp_mvc.Controllers
{
    public class ProductController : BaseController
    {
        public ProductController()
        {

        }
        ProjectWebMVCTeam2Entities db = new ProjectWebMVCTeam2Entities();
        // GET: Product
        public ActionResult Index()
        {
            return View("MainContent");
        }
        
        public ActionResult CategoryById(int? id)
        {
            //string CurrentLang = (Session["lang"] != null) ? Session["lang"] as string : LanguageDefault;

            //List<Category> ListCategoiesParent = db.Categories.Where(c => c.language_id.Equals(CurrentLang) && c.parent_id == 0).ToList();
            //List<Category> ListSubCategories = new List<Category>();
            //List<Product> ListProducts = db.Products.Where(p => p.language_id.Equals(CurrentLang)).OrderByDescending(p => p.id).ToList();
            //Dictionary<int, List<int>> SubCategories = new Dictionary<int, List<int>>();
            //foreach (var catParent in ListCategoiesParent)
            //{
            //    var ListIdSubCat = new List<int>();
            //    foreach (var subCat in ListSubCategories)
            //    {
            //        if (catParent.id == subCat.parent_id)
            //        {
            //            ListIdSubCat.Add(subCat.id);
            //        }
            //    }
            //    SubCategories.Add(catParent.id, ListIdSubCat);
            //}

            //ViewBag.ListCategoiesParent = ListCategoiesParent;
            //ViewBag.ListProducts = ListProducts;
            //ViewBag.SubCategories = SubCategories;
            string CurrentLang = (Session["lang"] != null) ? Session["lang"] as string : LanguageDefault;
            ViewBag.CurrentLang = CurrentLang;
            List<Product> ListProductSlides = db.Products.Where(p => p.language_id.Equals(CurrentLang)).OrderByDescending(p => p.id).Take(4).ToList();
            ViewBag.ListProductSlides = ListProductSlides;

            ViewBag.RelatedProduct = db.Products.Where(p => p.category_id == id && p.language_id.Equals(CurrentLang)).ToList();
            return View("Category");
        }
    }
}

project-asp-mvc/Controllers/UserController.cs
using project_asp_mvc.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace project_asp_mvc.Controllers
{
    public class UserController : Controller
    {
        UserDAO userDAO = new UserDAO();

        // GET: User
        public ActionResult Index()
        {
            return View("Login");
        }

        public ActionResult Login()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Login(Account user)
        {
            Account account = userDAO.IsValidAccount(user.username, user.password);

            if (account != null)
            {
                // storing in cookie
                Session["username"] = user.username;
                return RedirectToAction("Index", "Home");
            }
            else
            {
                ModelState.AddModelError("", "Username or password is invalid");
            }
            return View();

        }
        public ActionResult Register()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Register(Account account)
        {
            userDAO.Register(account);
            return RedirectToAction("Index", "Home");
        }
    }

    public class UserDAO : Controller
    {
        private ProjectWebMVCTeam2Entities StoreContext = null;

        public UserDAO()
        {
            StoreContext = new ProjectWebMVCTeam2Entities();
        }

        public int ValidateAccount(Account user)
        {
            int result = 1;

            if (String.IsNullOrEmpty(user.password))
                result = -1;
            else if (String.IsNullOrEmpty(user.ConfirmPassword))
                result = -2;
            else if (!Utils.Utils.Encode(user.password).Equals(Utils.Utils.Encode(user.ConfirmPassword)))
                result = -3;
            else if (this.StoreContext.Accounts.Find(user.username) != null)
                result = -4;

            return result;
        }

        public void Register(Account user)
        {
            // encoding password
            user.password = user.ConfirmPassword = Utils.Utils.Encode(user.password);

            // setting role for account to "USER" type
            user.role_id = 2;
            user.Role = this.StoreContext.Roles.Find(user.role_id);

            // save change to db
            StoreContext.Accounts.Add(user);
            StoreContext.SaveChanges();
            ModelState.Clear();
        }
        
        public Account IsValidAccount(String username, string password)
        {
            String encoded = Utils.Utils.Encode(password);
            return this.StoreContext.Accounts.Where(a => a.username.Equals(username) && a.password.Equals(encoded))
                .SingleOrDefault();
        }
    }
}

project-asp-mvc/Views/Shared/Frontend/_Footer.cshtml
<div class="footer-top-area">
    <div class="zigzag-bottom"></div>
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-6">
                <div class="footer-about-us">
                    <h2>u<span>Stora</span></h2>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis sunt id doloribus vero quam laborum quas alias dolores blanditiis iusto consequatur, modi aliquid eveniet eligendi iure eaque ipsam iste, pariatur omnis sint! Suscipit, debitis, quisquam. Laborum commodi veritatis magni at?</p>
                    <div class="footer-social">
                        <a href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                        <a href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                        <a href="#" target="_blank"><i class="fa fa-youtube"></i></a>
                        <a href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                    </div>
                </div>
            </div>

            <div class="col-md-3 col-sm-6">
                <div class="footer-menu">
                    <h2 class="footer-wid-title">User Navigation </h2>
                    <ul>
                        <li><a href="#">My account</a></li>
                        <li><a href="#">Order history</a></li>
                        <li><a href="#">Wishlist</a></li>
                        <li><a href="#">Vendor contact</a></li>
                        <li><a href="#">Front page</a></li>
                    </ul>
                </div>
            </div>

            <div class="col-md-3 col-sm-6">
                <div class="footer-menu">
                    <h2 class="footer-wid-title">Categories</h2>
                    <ul>
                        <li><a href="#">Mobile Phone</a></li>
                        <li><a href="#">Home accesseries</a></li>
                        <li><a href="#">LED TV</a></li>
                        <li><a href="#">Computer</a></li>
                        <li><a href="#">Gadets</a></li>
                    </ul>
                </div>
            </div>

            <div class="col-md-3 col-sm-6">
                <div class="footer-newsletter">
                    <h2 class="footer-wid-title">Newsletter</h2>
                    <p>Sign up to our newsletter and get exclusive deals you wont find anywhere else straight to your inbox!</p>
                    <div class="newsletter-form">
                        <form action="#">
                            <input type="email" placeholder="Type your email">
                            <input type="submit" value="Subscribe">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div> <!-- End footer top area -->

<div class="footer-bottom-area">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="copyright">
                    <p>&copy; 2015 uCommerce. All Rights Reserved. <a href="http://www.freshdesignweb.com" target="_blank">freshDesignweb.com</a></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="footer-card-icon">
                    <i class="fa fa-cc-discover"></i>
                    <i class="fa fa-cc-mastercard"></i>
                    <i class="fa fa-cc-paypal"></i>
                    <i class="fa fa-cc-visa"></i>
                </div>
            </div>
        </div>
    </div>
</div> <!-- End footer bottom area -->

project-asp-mvc/Views/Shared/Frontend/_Header.cshtml
@model project_asp_mvc.Models.HomeModel

@using project_asp_mvc.Controllers;

<div class="header-area">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="user-menu">
                    <ul>
                        <li>
                            @if (Session["username"] != null)
                            {
                                <a href="#">
                                    <i class="fa fa-user"></i>
                                    @Session["username"]
                                </a>
                            }
                            else
                            {  <a href="@Url.Action("Index", "User")">
                                <i class="fa fa-user"></i>
                               Account
                            </a>}
                        </li>
                        <li><a href="@Url.Action("Index", "Cart")"><i class="fa fa-user"></i> My Cart</a></li>
                        <li><a href="@Url.Action("Index", "User")"><i class="fa fa-user"></i> Login</a></li>
                    </ul>
                </div>
            </div>

            <div class="col-md-4">
                <div class="header-right">
                        <div class="header-right" style="float: right; margin-top: 9px;">
                            <a href="@Url.Action("SetLanguage", "Language", new { lang = "vn" })" style="text-decoration: none;">
                                <img src="~/Content/images/vn.png" />
                            </a>
                            <a href="@Url.Action("SetLanguage", "Language", new { lang = "en" })" style="margin-left: 10px; text-decoration: none;">
                                <img src="~/Content/images/us.png" />
                            </a>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div> <!-- End header area -->
<div class="site-branding-area">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <div class="logo">
                    <h1><a href="./"><img src="~/Content/images/logo.png"></a></h1>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="shopping-item">
                    @{
                        decimal s = 0;
                        List<Item> totalItem = (List<Item>)Session["cart"];
                    }
                    @if (Session["cart"] == null)
                    {
                        <a href="@Url.Action("Index", "Cart")">
                            Cart - <span class="cart-amunt">0 </span>
                            <i class="fa fa-shopping-cart"></i> <span class="product-count">0</span>
                        </a>
                    }
                    else
                    {
                        foreach (Item item in totalItem)
                        {
                            s += item.Prod.price * item.Quantity;
                        }
                        <a href="@Url.Action("Index", "Cart")">
                            Cart - <span class="cart-amunt">@string.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:C0}", s) </span>
                            <i class="fa fa-shopping-cart"></i> <span class="product-count">@totalItem.Count</span>
                        </a>
                    }
                   
                </div>
            </div>
        </div>
    </div>
</div> <!-- End site branding area -->
<div class="mainmenu-area">
    <div class="container">
        <div class="row">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <div id="menu" class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li class="active"><a href="@Url.Action("Index","Home")"><i class="fa fa-home fa-3" aria-hidden="true"></i></a></li>
                    @*<li><a href="shop.html"></a></li>*@

                    <!-- foreach menu cha -->
                    @foreach (var ParentMenu in Model.ListCategoiesParent)
                    {
                        <li>
                            <a href="#">@ParentMenu.name</a>
                            <ul class="sub-menu">
                                <!-- foreach Sub menu-->
                                @foreach (var SubMenu in Model.ListSubCategoiesHeader)
                                {
                                    if (ParentMenu.id == SubMenu.parent_id)
                                    {
                                        <li><a href="@Url.Action("CategoryById","Product", new { id = SubMenu.id })">@SubMenu.name</a></li>
                                    }
                                }

                            </ul>
                        </li>
                    }
                    <!-- End foreach-->
                </ul>
            </div>
        </div>
    </div>
</div> <!-- End mainmenu area -->

project-asp-mvc/Views/Shared/Frontend/_RelatedProduct.cshtml
@model IEnumerable<project_asp_mvc.Product>

<div class="related-products-wrapper">
    <h2 class="related-products-title">Related Products</h2>
    <div class="related-products-carousel">
        @*@foreach (var p in Model.Product)
        {
            <div class="single-product">
                <div class="product-f-image">
                    <img src="~/Content/images/product-1.jpg" alt="">
                    <div class="product-hover">
                        <a href="" class="add-to-cart-link"><i class="fa fa-shopping-cart"></i> Add to cart</a>
                        <a href="" class="view-details-link"><i class="fa fa-link"></i> See details</a>
                    </div>
                </div>

                <h2><a href="">@Model.name</a>
                </h2>

                <div class="product-carousel-price">
                    <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", @Model.price)@Model.unit</ins>
                </div>
            </div>
        }*@       
    </div>
</div>

project-asp-mvc/Views/Shared/Frontend/_Slider.cshtml
<div class="slider-area">
    <!-- Slider -->
    <div class="block-slider block-slider4">
        <ul class="" id="bxslider-home4">
            @*@foreach(var productSlides in ViewBag.ListProductSlides)
            {*@ 
            <li>
                <img src="~/Content/images/aa" alt="Slide">
                <div class="caption-group">
                    <h2 class="caption title">
                         <span class="primary">aaa</span>
                    </h2>
                    
                    <a class="caption button-radius" href="#"><span class="icon"></span>Shop now</a>
                </div>
            </li>
            @*}*@
        </ul>
    </div>
    <!-- ./Slider -->
</div> <!-- End slider area -->